#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	LXAppearance ObConf plugin
Name:		lxappearance-obconf
Version:	0.2.1
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	1f061c96e0c78a6476421ca294ac24aa
URL:		http://wiki.lxde.org/en/LXAppearance
BuildRequires:	gettext-tools
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	lxappearance-devel
BuildRequires:	openbox-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXAppearance integrated ObConf to provide a better user experience.

ObConf is a program used to configure OpenBox window manager.

%prep
%setup -q

%build
%configure \
	--disable-static \
	%{?with_gtk3:--enable-gtk3}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lxappearance/plugins/obconf.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/tt_RU

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG README
%attr(755,root,root) %{_libdir}/lxappearance/plugins/obconf.so
%dir %{_datadir}/lxappearance/obconf
%{_datadir}/lxappearance/obconf/obconf.glade
%changelog
* Sat Oct 15 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxappearance-obconf.git;a=log;h=master

* Sat Oct 15 2016 Jan Rękorajski <baggins@pld-linux.org> 2d74e05
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 234ee4b
- updated gettext BR

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> 7d13756
- release 2 (by relup.sh)

* Thu Jan 02 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 85d4d5d
- up to 0.2.1
- verbose build

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> 1e1135a
- updated to 0.2.0

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> eae215d
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> cb5fc61
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> cb4033f
- new

